Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl
Class SWRLSystemFrames

    java.lang.Object
      edu.stanford.smi.protege.model.SystemFrames
          edu.stanford.smi.protegex.owl.model.impl.OWLSystemFrames
              edu.stanford.smi.protegex.owl.swrl.SWRLSystemFrames

    public class SWRLSystemFrames

extends OWLSystemFrames

Nested Class Summary
`protected class` | `SWRLSystemFrames.SWRLSystemFramesAssertions`

Nested classes/interfaces inherited from class edu.stanford.smi.protegex.owl.model.impl.OWLSystemFrames
`OWLSystemFrames.OWLSystemFramesAssertions, OWLSystemFrames.SystemFramesAsserter`

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.model.impl.OWLSystemFrames
`owlModel`

Constructor Summary
`SWRLSystemFrames(OWLModel owlModel)`

Method Summary
`void` | `addSystemFrames(edu.stanford.smi.protege.model.framestore.FrameStore fs)`
`OWLDatatypeProperty` | `getArgsProperty()`
`OWLObjectProperty` | `getArgument1Property()`
`RDFProperty` | `getArgument2Property()`
`OWLObjectProperty` | `getArgumentsProperty()`
`OWLNamedClass` | `getAtomCls()`
`OWLNamedClass` | `getAtomListCls()`
`OWLObjectProperty` | `getBodyProperty()`
`OWLNamedClass` | `getBuiltinAtomCls()`
`OWLNamedClass` | `getBuiltInCls()`
`OWLObjectProperty` | `getBuiltInProperty()`
`OWLNamedClass` | `getClassAtomCls()`
`OWLObjectProperty` | `getClassPredicateProperty()`
`List<SWRLBuiltin>` | `getCoreSWRLBuiltIns()`
`OWLNamedClass` | `getDataRangeAtomCls()`
`OWLObjectProperty` | `getDataRangeProperty()`
`OWLNamedClass` | `getDataValuedPropertyAtomCls()`
`OWLNamedClass` | `getDifferentIndividualsAtomCls()`
`OWLObjectProperty` | `getHeadProperty()`
`OWLNamedClass` | `getImpCls()`
`OWLNamedClass` | `getIndividualPropertyAtomCls()`
`OWLDatatypeProperty` | `getMaxArgsProperty()`
`OWLDatatypeProperty` | `getMinArgsProperty()`
`OWLObjectProperty` | `getPropertyPredicateProperty()`
`OWLNamedClass` | `getSameIndividualAtomCls()`
`OWLNamedClass` | `getVariableCls()`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.OWLSystemFrames
`createOWLDatatypeProperty, createOWLNamedClass, createOWLObjectProperty, createRDFProperty, createRDFSDatatype, createRDFSNamedClass, getAnonymousClassMetaCls, getAnonymousRootCls, getConstraintsSlot, getDirectedBinaryRelationCls, getDirectSuperslotsSlot, getFloatDatatypes, getFromSlot, getIntegerDatatypes, getInverseSlotSlot, getOwlAllDifferentClass, getOwlAllValuesFromClass, getOwlAllValuesFromProperty, getOwlAnnotationPropertyClass, getOwlBackwardCompatibleWithProperty, getOwlCardinalityClass, getOwlCardinalityProperty, getOwlClassMetaCls, getOwlComplementClassClass, getOwlComplementOfProperty, getOwlDataRangeClass, getOwlDatatypePropertyClass, getOwlDeprecatedClassClass, getOwlDeprecatedPropertyClass, getOwlDifferentFromProperty, getOwlDisjointWithProperty, getOwlDistinctMembersProperty, getOwlEnumeratedClassClass, getOwlEquivalentClassProperty, getOwlEquivalentPropertyProperty, getOwlFunctionalPropertyClass, getOwlHasValueClass, getOwlHasValueProperty, getOwlImportsProperty, getOwlIncompatibleWithProperty, getOwlIntersectionClassClass, getOwlIntersectionOfProperty, getOwlInverseFunctionalPropertyClass, getOwlInverseOfProperty, getOwlLogicalClassClass, getOwlMaxCardinalityClass, getOwlMaxCardinalityProperty, getOwlMinCardinalityClass, getOwlMinCardinalityProperty, getOwlNamedClassClass, getOwlNothingClass, getOwlObjectPropertyClass, getOwlOneOfProperty, getOwlOnPropertyProperty, getOwlOntologyClass, getOwlOntologyPointerClass, getOwlOntologyPointerProperty, getOwlOntologyPrefixesProperty, getOwlPriorVersionProperty, getOwlResourceURIProperty, getOwlRestrictionClass, getOwlSameAsProperty, getOwlSomeValuesFromClass, getOwlSomeValuesFromProperty, getOwlSymmetricPropertyClass, getOwlThingClass, getOwlTransitivePropertyClass, getOwlUnionClassClass, getOwlUnionOfProperty, getOwlValuesFromProperty, getOwlVersionInfoProperty, getPalConstraintCls, getPalDescriptionSlot, getPalNameSlot, getPalRangeSlot, getPalStatementSlot, getProtegeClassificationStatusProperty, getProtegeInferredSubclassesProperty, getProtegeInferredSuperclassesProperty, getProtegeInferredTypeProperty, getRdfAltClass, getRdfBagClass, getRdfDatatypes, getRdfExternalClassClass, getRdfExternalPropertyClass, getRdfExternalResourceClass, getRdfFirstProperty, getRdfListClass, getRdfNil, getRdfObjectProperty, getRdfPredicateProperty, getRdfPropertyClass, getRdfRestProperty, getRdfsCommentProperty, getRdfsContainerClass, getRdfsDatatypeClass, getRdfsDomainProperty, getRdfSeqClass, getRdfsIsDefinedByProperty, getRdfsLabelProperty, getRdfsLiteralClass, getRdfsMemberProperty, getRdfsNamedClassClass, getRdfsRangeProperty, getRdfsSeeAlsoProperty, getRdfsSubClassOfProperty, getRdfsSubPropertyOf, getRdfStatementClass, getRdfSubjectProperty, getRdfTypeProperty, getRdfValueProperty, getRootCls, getSlotConstraintsSlot, getToSlot, getXmlLiteralType, getXsdAnyURI, getXsdBase64Binary, getXsdBoolean, getXsdByte, getXsdDate, getXsdDateTime, getXsdDecimal, getXsdDouble, getXsdDuration, getXsdFloat, getXsdInt, getXsdInteger, getXsdLong, getXsdNonNegativeInteger, getXsdShort, getXsdString, getXsdTime`

Methods inherited from class edu.stanford.smi.protege.model.SystemFrames
`addFrame, assertTypeAndName, getAnnotatedInstanceSlot, getAnnotationCls, getAnnotationTextSlot, getAssociatedFacetSlot, getAssociatedSlotSlot, getConstraintCls, getConstraintsFacet, getCreationTimestampSlot, getCreatorSlot, getDefaultValuesFacet, getDefaultValuesSlot, getDirectDomainSlot, getDirectInstancesSlot, getDirectSubclassesSlot, getDirectSubslotsSlot, getDirectSuperclassesSlot, getDirectTemplateSlotsSlot, getDirectTypesSlot, getDocumentationFacet, getDocumentationSlot, getFrame, getFrameIDs, getFrameNames, getFrames, getInstanceAnnotationCls, getInverseFacet, getMaximumCardinalityFacet, getMaximumCardinalitySlot, getMaximumValueFacet, getMaximumValueSlot, getMinimumCardinalityFacet, getMinimumCardinalitySlot, getMinimumValueFacet, getMinimumValueSlot, getModificationTimestampSlot, getModifierSlot, getNameSlot, getRelationCls, getRoleSlot, getRootClsMetaCls, getRootFacetMetaCls, getRootMetaCls, getRootSlotMetaCls, getStandardClsMetaCls, getStandardFacetMetaCls, getStandardSlotMetaCls, getSystemCls, getValuesFacet, getValuesSlot, getValueTypeFacet, getValueTypeSlot, isSystem, removeFrame, replaceFrame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWRLSystemFrames

    public SWRLSystemFrames(OWLModel owlModel)

Method Detail

### addSystemFrames

    public void addSystemFrames(edu.stanford.smi.protege.model.framestore.FrameStore fs)

  Overrides:
    `addSystemFrames` in class `OWLSystemFrames`

### getAtomListCls

    public OWLNamedClass getAtomListCls()

  Returns:
    the atomListCls

### getBuiltinAtomCls

    public OWLNamedClass getBuiltinAtomCls()

  Returns:
    the builtinAtomCls

### getClassAtomCls

    public OWLNamedClass getClassAtomCls()

  Returns:
    the classAtomCls

### getDataRangeAtomCls

    public OWLNamedClass getDataRangeAtomCls()

  Returns:
    the dataRangeAtomCls

### getDataValuedPropertyAtomCls

    public OWLNamedClass getDataValuedPropertyAtomCls()

  Returns:
    the dataValuedPropertyAtomCls

### getDifferentIndividualsAtomCls

    public OWLNamedClass getDifferentIndividualsAtomCls()

  Returns:
    the differentIndividualsAtomCls

### getImpCls

    public OWLNamedClass getImpCls()

  Returns:
    the impCls

### getIndividualPropertyAtomCls

    public OWLNamedClass getIndividualPropertyAtomCls()

  Returns:
    the individualPropertyAtomCls

### getSameIndividualAtomCls

    public OWLNamedClass getSameIndividualAtomCls()

  Returns:
    the sameIndividualAtomCls

### getAtomCls

    public OWLNamedClass getAtomCls()

  Returns:
    the atomCls

### getVariableCls

    public OWLNamedClass getVariableCls()

  Returns:
    the variableCls

### getBuiltInCls

    public OWLNamedClass getBuiltInCls()

  Returns:
    the builtInCls

### getBodyProperty

    public OWLObjectProperty getBodyProperty()

  Returns:
    the bodyProperty

### getHeadProperty

    public OWLObjectProperty getHeadProperty()

  Returns:
    the headProperty

### getArgumentsProperty

    public OWLObjectProperty getArgumentsProperty()

  Returns:
    the argumentsProperty

### getBuiltInProperty

    public OWLObjectProperty getBuiltInProperty()

  Returns:
    the builtInProperty

### getArgument1Property

    public OWLObjectProperty getArgument1Property()

  Returns:
    the argument1Property

### getClassPredicateProperty

    public OWLObjectProperty getClassPredicateProperty()

  Returns:
    the classPredicateProperty

### getPropertyPredicateProperty

    public OWLObjectProperty getPropertyPredicateProperty()

  Returns:
    the propertyPredicateProperty

### getDataRangeProperty

    public OWLObjectProperty getDataRangeProperty()

  Returns:
    the dataRangeProperty

### getArgsProperty

    public OWLDatatypeProperty getArgsProperty()

  Returns:
    the argsProperty

### getMinArgsProperty

    public OWLDatatypeProperty getMinArgsProperty()

  Returns:
    the minArgsProperty

### getMaxArgsProperty

    public OWLDatatypeProperty getMaxArgsProperty()

  Returns:
    the maxArgsProperty

### getCoreSWRLBuiltIns

    public List<SWRLBuiltin> getCoreSWRLBuiltIns()

  Returns:
    the coreSWRLBuiltIns

### getArgument2Property

    public RDFProperty getArgument2Property()

  Returns:
    the argument2Property

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.